function indicesToBeRemoved = filterWrtDistance2Protein   (surfaceDistances, ...
							  maxDistance)

%finds and returns all indices which correspond to a distance > maxDistance
%from protein surface.

indicesToBeRemoved = find(surfaceDistances > maxDistance);
fprintf(1, 'will remove %d funnel centers because they are more than %d distant from protein surface.\n', length(indicesToBeRemoved), maxDistance);
