function indicesToBeRemoved = filterWrtPairwiseDistances (pairwiseDistances, minDistance)

%finds and returns all indices which correspond to a pairwise distance < minDistance and returns them.

[m,n]              = size(pairwiseDistances);
indicesToBeRemoved = [];

for i = 1:m

  for j = i+1:n

    p  = pairwiseDistances(i,j);

    if (p < minDistance)
      fprintf(1, 'centers %d and %d are close. removing %d\n', i,j,j);
      indicesToBeRemoved = [indicesToBeRemoved; j];
    end

  end
end
